#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libacl1 installation
#
# Creation   :  2017-12-14 holbru
# Last update:  $Id: postinstall-libacl1.sh 47890 2017-12-14 22:03:26Z hbfl $
#
# Copyright (c) 2017-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libacl1

# ---------------------------------------------------------------------------
# update-2.8.1
# ---------------------------------------------------------------------------
update_2_8_1()
{

installed=$(eisman query --installed --unstable --fields='version' acl | grep '2.8.0')

if [ -z "${installed}" ]
then
    rm -f /usr/bin/chacl
    rm -f /usr/bin/getfacl
    rm -f /usr/bin/setfacl
    rm -f /usr/share/locale/de/LC_MESSAGES/acl.mo
    rm -f /usr/share/locale/fr/LC_MESSAGES/acl.mo
fi

rm -f /usr/lib/libacl.so.1
rm -f /usr/lib/libacl.so.1.1.0

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------
base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
